=== kernel/linux/efa/debian/changelog ===
efa (2.17.3-1.amzn1) unstable; urgency=medium
  * Support P2P with NVIDIA 580 drivers
  * Adjust MR registration for 6.17 and on kernels
  * Fix kernel QP creation when depth is not a power of 2

 -- Michael Margolin <mrgolin@amazon.com>  Wed, 24 Sep 2025 06:10:54 +0000

efa (2.17.2-1.amzn1) unstable; urgency=medium
  * Fix create user CQ

 -- Yonatan Nachum <ynachum@amazon.com>  Mon, 21 Jul 2025 10:46:12 +0000

efa (2.17.1-1.amzn1) unstable; urgency=medium
  * Fix create kernel CQ backport

 -- Yonatan Nachum <ynachum@amazon.com>  Wed, 16 Jul 2025 13:39:55 +0000

efa (2.17.0-1.amzn1) unstable; urgency=medium
  * Add Network HW statistics counters
  * Add CQ with external memory support

 -- Yonatan Nachum <ynachum@amazon.com>  Tue, 15 Jul 2025 10:15:23 +0000

efa (2.15.3-1.amzn1) unstable; urgency=medium
  * Fix cmake dependency on Amazon Linux 2

 -- Michael Margolin <mrgolin@amazon.com>  Wed, 04 Jun 2025 13:05:57 +0000

efa (2.15.2-1.amzn1) unstable; urgency=medium
  * Fix cmake 4.0 compatibility failure

 -- Yonatan Nachum <ynachum@amazon.com>  Tue, 03 Jun 2025 09:35:06 +0000

efa (2.15.1-1.amzn1) unstable; urgency=medium
  * Cleanup destroy CQ kernel compatibility
  * Remove backports for kernels older than 4.14
  * Fix support for RHEL 9.6 compatibility

 -- Yonatan Nachum <ynachum@amazon.com>  Mon, 26 May 2025 07:16:41 +0000

efa (2.15.0-1.amzn1) unstable; urgency=medium
  * Fix page size optimization for large physically contiguous MRs
  * Cleanup interrupt related code
  * Reset the device if driver initialization failed

 -- Michael Margolin <mrgolin@amazon.com>  Mon, 03 Mar 2025 15:22:27 +0000

efa (2.13.1-1.amzn1) unstable; urgency=medium
  * Adjust dmabuf MR registration interface for mainline 6.12 kernels

 -- Michael Margolin <mrgolin@amazon.com>  Sun, 12 Jan 2025 11:56:55 +0000

efa (2.13.0-1.amzn1) unstable; urgency=medium
  * Add an option to create QP with specific service level
  * Report link speed according to device parameters

 -- Michael Margolin <mrgolin@amazon.com>  Wed, 30 Oct 2024 14:40:53 +0000

efa (2.12.1-1.amzn1) unstable; urgency=medium
  * Fix RNR configuration for SRD kernel QPs

 -- Michael Margolin <mrgolin@amazon.com>  Sun, 06 Oct 2024 16:13:23 +0000

efa (2.12.0-1.amzn1) unstable; urgency=medium
  * Introduce EFA kernel verbs support
  * Add 0xefa3 device support
  * Report device node GUID
  * Adjust CQ creation interface for mainline 6.11 kernels

 -- Michael Margolin <mrgolin@amazon.com>  Tue, 01 Oct 2024 09:17:30 +0000

efa (2.10.0-1.amzn1) unstable; urgency=medium
  * Introduce QP with unsolicited write with immediate receive
  * Add gracefull shutdown
  * Limit EQs to available MSI-X vectors
  * Improve admin completions error handling
  * Improve error handling on missing BARs

 -- Michael Margolin <mrgolin@amazon.com>  Wed, 05 Jun 2024 14:15:47 +0000

efa (2.8.0-1.amzn1) unstable; urgency=medium
  * Introduce Query MR support
  * Expose underlying interconnects used to reach memory regions
  * Fix compilation issues for mainline 6.8 kernels

 -- Michael Margolin <mrgolin@amazon.com>  Thu, 15 Feb 2024 10:30:27 +0000

efa (2.6.0-1.amzn1) unstable; urgency=medium
  * Fix wrong resources destruction order
  * Enable Nvidia GDR using P2P on up-to-date kernels
  * Expose accelerator memory P2P provider in sysfs

 -- Michael Margolin <mrgolin@amazon.com>  Thu, 09 Nov 2023 14:41:36 +0000

efa (2.5.0-1.amzn1) unstable; urgency=medium
  * Add RDMA write statistics

 -- Michael Margolin <mrgolin@amazon.com>  Tue, 11 Jul 2023 12:36:58 +0000

efa (2.4.1-1.amzn1) unstable; urgency=medium
  * Fix memory registration for systems with PAGE_SIZE > 4K

 -- Michael Margolin <mrgolin@amazon.com>  Thu, 01 Jun 2023 09:35:00 +0000

efa (2.4.0-1.amzn1) unstable; urgency=medium
  * Add data polling support
  * Add RDMA write support

 -- Michael Margolin <mrgolin@amazon.com>  Thu, 04 May 2023 11:28:27 +0000

efa (2.1.1-1.amzn1) unstable; urgency=medium
  * Fix dmabuf backport for some kernels

 -- Michael Margolin <mrgolin@amazon.com>  Tue, 08 Nov 2022 20:46:40 +0000

efa (2.1.0-1.amzn1) unstable; urgency=medium
  * Add support for CQ receive entries with source GID
  * Add 0xefa2 device support
  * Fix sysfs show on older kernels

 -- Michael Margolin <mrgolin@amazon.com>  Thu, 27 Oct 2022 19:47:18 +0000

efa (1.16.0-1.amzn1) unstable; urgency=medium
  * Add CQ notifications
  * Add support for dmabuf
  * Add NeuronLink RDMA support
  * Remove gdr from module info keys

 -- Firas Jahjah <firasj@amazon.com>  Mon, 24 Jan 2022 16:03:29 +0000

efa (1.14.2-1.amzn1) unstable; urgency=medium
  * Various GDR fixes

 -- Firas Jahjah <firasj@amazon.com>  Sun, 17 Oct 2021 22:16:33 +0000

efa (1.14.1-1.amzn1) unstable; urgency=medium
  * Make gdr sysfs return zero in case nvidia symbols are not available

 -- Firas Jahjah <firasj@amazon.com>  Thu, 23 Sep 2021 15:27:31 +0000

efa (1.14.0-1.amzn1) unstable; urgency=medium
  * Unify the standard and GDR packages
  * Split hardware stats to device and port stats
  * Fix unfree'd IRQ vectors on error flow
  * Fix potential deadlock in GDR flow

 -- Gal Pressman <galpress@amazon.com>  Tue, 14 Sep 2021 09:49:22 +0000

efa (1.13.0-1.amzn1) unstable; urgency=medium
  * Remove static dependency of nvidia module in GDR driver
  * Fix potential memory leak in GDR memory registration error flow
  * Upstream kernel alignments
  * Remove old kernel APIs

 -- Gal Pressman <galpress@amazon.com>  Tue, 06 Jul 2021 14:31:39 +0000

efa (1.12.3-1.amzn1) unstable; urgency=medium
  * Fix potential NULL pointer dereference when using GDR on newer kernel version

 -- Gal Pressman <galpress@amazon.com>  Sun, 27 Jun 2021 11:03:33 +0000

efa (1.12.2-1.amzn1) unstable; urgency=medium
  * Fix mmap flow for applications compiled with EXEC permissions
  * Couple of packaging fixes

 -- Gal Pressman <galpress@amazon.com>  Wed, 16 Jun 2021 14:10:22 +0000

efa (1.12.1-1.amzn1) unstable; urgency=medium

