=== kernel/linux/efa_nv_peermem/debian/changelog ===
efa-nv-peermem (1.2.2-1.amzn1) unstable; urgency=medium
  * Fix Nvidia Module.symvers search

 -- Yonatan Nachum <ynachum@amazon.com>  Mon, 21 Jul 2025 04:51:00 +0000

efa-nv-peermem (1.2.1-1.amzn1) unstable; urgency=medium
  * Fix cmake dependency on Amazon Linux 2
  * Fix Nvidia DKMS dependency

 -- Michael Margolin <mrgolin@amazon.com>  Wed, 04 Jun 2025 13:04:31 +0000

efa-nv-peermem (1.2.0-1.amzn1) unstable; urgency=medium
  * Fix cmake 4.0 compatibility failure
  * Add interface definitions header

 -- Yonatan Nachum <ynachum@amazon.com>  Tue, 03 Jun 2025 11:24:52 +0000

efa-nv-peermem (1.1.1-1.amzn1) unstable; urgency=medium
  * Reduce build process output to stdout

 -- Michael Margolin <mrgolin@amazon.com>  Thu, 15 Feb 2024 08:08:00 +0000

efa-nv-peermem (1.1.0-1.amzn1) unstable; urgency=medium
  * Initial release of efa_nv_peermem kernel driver Debian package

 -- Michael Margolin <mrgolin@amazon.com>  Wed, 25 Oct 2023 16:42:57 +0000
